Payment Update Service Overview
Stay organized with collections
Save and categorize content based on your preferences.
The Payment Update service is a set of methods implemented by Google
that are called by the integrator. These methods are used to update payment
state, and pull remittance information.
| Methods |
echo |
POST /v1/echo
Echos back the client_message passed in. |
paymentDisputeNotification |
POST /v1/paymentDisputeNotification
Informs Google that a dispute has been finalized. |
paymentInquiryNotification |
POST /v1/paymentInquiryNotification
Informs Google that an inquiry has been started. |
remittanceStatementDetails |
POST /v1/remittanceStatementDetails
Returns transaction detail information about a remittance statement. |
All rights reserved. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-03 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-09-03 UTC."],[],["The Payment Update service uses methods called by the integrator to manage payment data. Key actions include updating payment status and retrieving remittance details. Specific methods are: `echo` (echos back a client message), `paymentDisputeNotification` (notifies Google of a finalized dispute), `paymentInquiryNotification` (notifies Google of an initiated inquiry), and `remittanceStatementDetails` (provides remittance statement transaction details). All methods use a `POST` request.\n"]]